Inside RectangleBy2Pts is some designscript:
Rectangle.ByCornerPoints(lowPt,Point.ByCoordinates(lowPt.X,hghPt.Y,hghPt.Z),hghPt,Point.ByCoordinates(hghPt.X,lowPt.Y,hghPt.Z));
How come it’s not working? Have input/ output changed maybe? Or what needs to be written in these nodes?
EDIT… OK, it’s not just this one… The custom nodes seem to be trying to be dictionaries… Why? How do I prevent this?
Looks like it’s working for me with a proxy of creating a Rectangle in a base graph, unless my inputs are wildly different to yours Does this work for you too? Could be a Custom Node thing… so I’ll test that next.
Yes, if I C+P the contents onto the graph it’s fine.
Just as a node it seems to be trying to output a dictionary and all the outputs are null.
This is happening with other nodes from our work package too.
Are your lines aligned with the global axes? The node is titled as Curves (plural) but the input is defined as a single curve, which is why it’s trying to return 4 rectangles. If your curves are on the major axes then the rectangle points would be coincident and an invalid surface.
Right idea, but you can’t just change the class to plural to change the list structure. You need to define the class and the intended structure.
curve: Autodesk.DesignScript.Geometry.Curve => single Curve curve: Autodesk.DesignScript.Geometry.Curve [] => list of Curve curve: Autodesk.DesignScript.Geometry.Curve []..[] => any structure of Curve
I know I’ve said it before, but am going to say it again.
You guys are all epic. I really appreciate all the support and help you’ve given me over the years.